angular.module('starter.directives', [])
.directive('lineColumn', function () {
  return {
    return: 'E',
    scope: {
      data: '=',
      currentHour: '=hour',
      id: '='
    },
    templateUrl: 'templates/line-column.html'
  };
})

.directive('single', function () {
  function link(scope, element) {
    var dp = scope.dp;
    if(dp.o) {
      element.html(dp.m + '<b>' + dp.o + '</b>');
    } else {
      element.html(dp.m);
    }
    if (dp.t){
      element.addClass(dp.t);
    }
  }
  return {
    return: 'E',
    link: link
  };
})

.directive('scrollTo', ['$ionicScrollDelegate', '$ionicPosition', function ($ionicScrollDelegate, $ionicPosition) {
  function link(scope, element) {
    element.on('click', function () {
      $ionicScrollDelegate.resize();
      $ionicScrollDelegate.scrollTo(0, $ionicPosition.position(element).top);
    });
  }
  return {
    return: 'A',
    link: link
  };
}]);