var translations = {
  "en": {
    welcome_title: '<l>ns</l><b>bus</b> app',
    choose_language: 'Choose your language',
    next: 'Next',
    back: 'Back',
    cancel: 'Cancel',
    download: 'Download',
    retry: 'Retry',
    favorites: 'Favorites',
    urban: 'Urban',
    suburban: 'Suburban',
    craftedAt: 'CRAFTED AT SHARPEAK',
    offline: 'Please connect to the Internet',
    downloading: 'Please wait until<br>bus schedule is downloaded',
    downloaded: 'Download successful',
    error: 'Download failed',
    retyDownload: 'Try again',
    tutorial: 'Touch the stars to add lines to favorites',
    goToApp: 'Go to app',
    workDay: 'Work day',
    saturday: 'Saturday',
    sunday: 'Sunday',
    red: '<b>Red</b> Low-floor',
    green: '<b>Green</b> Low-floor with a ramp',
    newSchedule: 'There is a new bus schedule.<br> Do yo want to update the current one?',
    downloadingSchedule: 'Bus schedule<br> is being downloaded to your device.',
    wentWrong: 'Something went wrong',
    scheduleDownloaded: 'New schedule downloaded!',
    to: 'To <b>{{id}}</b>',
    from: 'From <b>{{id}}</b>',
    direction: 'Direction <b>{{side}}</b>',

    AGM1:'Agrovojvodina and Mlinoservis',
    ELM1:'Elnos and Mlinoservis',
    TKM1:'Transportkomerc and Mlinoservis',
    TKO1:'Transportkomerc',
    Z1:'Prison',
    NĐ6:'To Novitet STUDENT',
    Đ6a:'Withdrawn during STUDENT recess',
    ALI9:'Alibegovac',
    AL10:'Albus',
    ALM10:'Albus and Masinoremont',
    MAL10:'Masinoremont and Albus',
    MDJ11:'To medical high school STUDENT',
    DDJ14:'To Detelinara STUDENT',
    KN15:'From Koteksprodukt by Neoplanta',
    NK15:'To Neoplanta and Koteksprodukt',
    NP15:'Neoplanta',
    TET21:'Termoelektrana toplana',
    C22:'To Novi Sad center',
    Đ22:'Withdrawn during student recess',
    KC22:'To Kać center',
    C23:'To Novi Sad center',
    Đ23:'Withdrawn during student recess',
    NT23:'New route through Kać',
    AKN24:'From Albus, Koteksprodukt and Neoplanta',
    C24:'To Novi Sad center',
    NKA24:'To Neoplanta, Koteksprodukt and Albus',
    ĐK31:'STUDENT Kolonija',
    K31:'Kolonija Temerin',
    AKN32:'From Albus, Koteksprodukt and Neoplanta',
    ML32:'By Mlekara',
    NK32:'To Neoplanta and Koteksprodukt',
    DT33:'To Temerin',
    T33:'Through Telep in Temerin',
    ČL35:'Through Lis',
    ČLĐ35:'Through Lis student',
    Đ35:'Withdrawn during student recess',
    Đ41:'Withdrawn during student recess',
    KN42:'From Koteksprodukt by Neoplanta',
    KR42:'Through Rumenka',
    NKA42:'To Neoplanta, Koteksprodukt and Albus',
    VID42:'See Note',
    TK43:'Through Vojvode Tankosića street in Kisač',
    SP52:'Operates only on fridays',
    Đ53:'Withdrawn during student recess',
    '"A"54':"Aroma doesn't operate through Grmečka street",
    Đ54:'Withdrawn during student recess',
    KF54:'From channel through Novi Futog',
    Đ55:'Withdrawn during student recess',
    KN55:'From Koteksprodukt by Neoplanta',
    NK55:'To Neoplata and Koteksprodukt',
    C56:'To Novi Sad center',
    SF56:'Stari Futog',
    CĐ61:'Through center student',
    CK61:'To Sremski Karlovci center',
    CKR61:'Through Sremski Karlovci center',
    Đ61:'Withdrawn during student recess',
    OC61:'From Karlovci center through N.S. center to MAS',
    Đ62:'Withdrawn during student recess',
    IS68:'Via Institute',
    KP68:'Through Paragovo',
    DJS69:'Over Liberty Bridge student',
    Č71:'Through Čardak',
    IS71:'Via Institute',
    VMC71:'Over Varadin Bridge through Čardak',
    CDJ72:'Through Čardak student',
    IS72:'Via Institute',
    ISV72:'Via Institute Venac crossroad',
    VR72:'Venac crossroad',
    IS74:'Via Institute',
    NL76:'Through Novi Ledinci',
    SM76:'By Police school',
    SR78:'Through Stari Rakovac',
    BS79:'Through Beočin selo',
    DB79:'To B.A.S.',
    Đ79:'Withdrawn during student recess',
    ĐBS79:'studend through Beočin selo',
    SR79:'Through Stari Rakovac',
    Đ80:'Withdrawn during student recess',
    DB81:'To B.A.S.',
    DN81:'Through Dunav village student',
    DB84:'To B.A.S.',
    GR84:'Through Grabovo',
    SV84:'Through Sviloš'
  },
  "rs": {
    welcome_title: '<l>ns</l><b>bus</b> app',
    choose_language: 'Izaberite vaš jezik',
    next: 'Dalje',
    back: 'Nazad',
    cancel: 'Otkaži',
    download: 'Učitaj',
    retry: 'Ponovi',
    favorites: 'Favoriti',
    urban: 'Gradski',
    suburban: 'Prigradski',
    craftedAt: 'NAPRAVLJENO U SHARPEAK',
    offline: 'Povežite se na internet',
    downloading: 'Pričekajte da se red vožnje<br>učita na Vaš uređaj',
    downloaded: 'Učitavanje uspešno',
    error: 'Učitavanje neuspešno',
    retyDownload: 'Pokušajte ponovo',
    tutorial: 'Pritisnite zvezdicu za dodavanje linije u favorite',
    goToApp: 'Počni da koristiš',
    workDay: 'Radni dan',
    saturday: 'Subota',
    sunday: 'Nedelja',
    red: '<b>Crveno</b> Niskopodni',
    green: '<b>Zeleno</b> Niskopodni sa rampom',
    newSchedule: 'Postoji novi red vožnje.<br>Da li želite da ga učitate?',
    downloadingSchedule: 'Red vožnje<br> se učitava na vaš uređaj.',
    wentWrong: 'Nešto je pošlo po zlu.',
    scheduleDownloaded: 'Novi red vožnje učitan!',
    to: 'Za <b>{{id}}</b>',
    from: 'Iz <b>{{id}}</b>',
    direction: 'Smer <b>{{side}}</b>',

    AGM1:'Agrovojvodina i Mlinoservis',
    ELM1:'Elnos i Mlinoservis',
    TKM1:'Transportkomerc i Mlinoservis',
    TKO1:'Transportkomerc',
    Z1:'Zatvor',
    NĐ6:'Do Noviteta ĐAČKI',
    Đ6a:'Ne saobraća za vreme đačkog raspusta',
    ALI9:'Alibegovac',
    AL10:'Albus',
    ALM10:'Albus i Masinremont',
    MAL10:'Masinremont i Albus',
    MDJ11:'Do medicinske škole ĐAČKI',
    DDJ14:'Do Detelinare ĐAČKI',
    KN15:'Od Koteksprodukta pored Neoplante',
    NK15:'Do Neoplante i Koteksprodukta',
    NP15:'Neoplanta',
    TET21:'Termoelektrana toplana',
    C22:'Do Centra Novog Sada',
    Đ22:'Ne saobraća za vreme đačkog raspusta',
    KC22:'Kroz centar Kaća',
    C23:'Do centra Novog Sada',
    Đ23:'Ne saobraća za vreme đačkog raspusta',
    NT23:'Novom trasom kroz Kać',
    AKN24:'Od Albusa Koteksprodukta i Neoplante',
    C24:'Do centra Novog Sada',
    NKA24:'Do Neoplante Koteksprodukta i Albusa',
    ĐK31:'ĐAČKI Kolonija',
    K31:'Kolonija Temerin',
    AKN32:'Od Albusa Koteksprodukta i Neoplante',
    ML32:'Pored Mlekare',
    NK32:'Do Neoplante i Koteksprodukta',
    DT33:'Do Temerina',
    T33:'Kroz Telep u Temerinu',
    ČL35:'Kroz Lis',
    ČLĐ35:'Kroz Lis ĐAČKI',
    Đ35:'Ne saobraća za vreme đačkog raspusta',
    Đ41:'Ne saobraća za vreme đačkog raspusta',
    KN42:'Od Koteksprodukta pored Neoplante',
    KR42:'Kroz Rumenku',
    NKA42:'Do Neoplante Koteksprodukta i Albusa',
    VID42:'Vidi Napomenu',
    TK43:'Kroz Tankosićevu ulicu u Kisaču',
    SP52:'Saobraća samo petkom',
    Đ53:'Ne saobraća za vreme đačkog raspusta',
    '"A"54':'Aroma-Ne saobraća Grmečkom',
    Đ54:'Ne saobraća za vreme đačkog raspusta',
    KF54:'Od kanala Novim Futogom',
    Đ55:'Ne saobraća za vreme đačkog raspusta',
    KN55:'OD Koteksprodukta pored Neoplante',
    NK55:'Do Neoplante i Koteksprodukta',
    C56:'Do centra Novog Sada',
    SF56:'Stari Futog',
    CĐ61:'Kroz centar ĐAČKI',
    CK61:'Do centra Karlovaca',
    CKR61:'Kroz centar Karlovaca',
    Đ61:'Ne saobraća za vreme đačkog raspusta',
    OC61:'Od centra Karlovaca kroz centar N.S. na MAS',
    Đ62:'Ne saobraća za vreme đačkog raspusta',
    IS68:'Kroz Institut',
    KP68:'Kroz Paragovo',
    DJS69:'ĐAČKI preko mosta Slobode',
    Č71:'Kroz Čardak',
    IS71:'Kroz Institut',
    VMC71:'Varadinskim mostom kroz Čardak',
    CDJ72:'Kroz Čardak ĐAČKI',
    IS72:'Kroz Institut',
    ISV72:'Kroz Institut Venac raskrsnica',
    VR72:'Venac raskrsnica',
    IS74:'Kroz Institut',
    NL76:'Kroz Nove Ledince',
    SM76:'Pored SKOLE Milicije',
    SR78:'Kroz Stari Rakovac',
    BS79:'Kroz Beočin Selo',
    DB79:'Do B.A.S.-A',
    Đ79:'Ne saobraća za vreme đačkog raspusta',
    ĐBS79:'Đački kroz Beočin selo',
    SR79:'Kroz Stari Rakovac',
    Đ80:'Ne saobraća za vreme đačkog raspusta',
    DB81:'Do B.A.S.-a',
    DN81:'Kroz Dunav naselje ĐAČKI',
    DB84:'Do B.A.S.-A',
    GR84:'Kroz Grabovo',
    SV84:'Kroz Sviloš'
  }
};
